module System.SD.Daemon.Constants
  ( sD_EMERG
  , sD_ALERT
  , sD_CRIT
  , sD_ERR
  , sD_WARNING
  , sD_NOTICE
  , sD_INFO
  , sD_DEBUG
  , sD_LISTEN_FDS_START
  )
where

import Foreign.C

#include <systemd/sd-daemon.h>

-- | Emergency (system is unusable).
sD_EMERG :: String 
sD_EMERG = #const_str SD_EMERG

-- | Alert (action must be taken immediately).
sD_ALERT :: String 
sD_ALERT = #const_str SD_ALERT

-- | Critical conditions.
sD_CRIT :: String 
sD_CRIT = #const_str SD_CRIT

-- |  Error conditions.
sD_ERR :: String 
sD_ERR = #const_str SD_ERR

-- | Warning conditions.
sD_WARNING :: String 
sD_WARNING = #const_str SD_WARNING

-- | Normal but significant condition.
sD_NOTICE :: String 
sD_NOTICE = #const_str SD_NOTICE

-- | Informational.
sD_INFO :: String 
sD_INFO = #const_str SD_INFO

-- | Debug-level messages.
sD_DEBUG :: String 
sD_DEBUG = #const_str SD_DEBUG

-- | Starting number for listening file descriptors passed by socket-based
-- activation logic.
sD_LISTEN_FDS_START :: CInt
sD_LISTEN_FDS_START = #const SD_LISTEN_FDS_START
